Subject: Re: [PATCH] show-branch: make --topo-order noop and default.

From: A Large Angry SCM <[email-masked]>
Date: Thu, 12 Jan 2006 21:28:21 -0800

Junio C Hamano wrote:
> A Large Angry SCM <[email-masked]> writes:
> 
>>Junio C Hamano wrote:
>>>It really does not make sense not doing --topo-order.
>>I disagree. I do like to see the chronological commit history of some
>>repositories.
> 
> But the thing is if you do chronological order, you may not see
> enough commits without --more=, because show-branches stops at
> the first common commit.  Try it yourself in a repository with
> merges on topic branches of different vintage, with and without
> the option, to see where output stops.

Interesting, I don't think I've ever looked far enough to triggered the 
stop condition in my repositories of interest before.

How about making topo-order the default but having an option for 
chronological order?